# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu May 19 13:25:36 2022
# ------------------------------------------------

package:
  name: bokeh
  version: 2.4.2
source:
  sha256: f0a4b53364ed3b7eb936c5cb1a4f4132369e394c7ae0a8ef420459410958033d
  url: https://pypi.io/packages/source/b/bokeh/bokeh-2.4.2.tar.gz
build:
  entry_points:
    - bokeh = bokeh.__main__:main
  number: '1'
  script:
    - /opt/conda/conda-bld/bokeh_1652966744880/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
      -m pip install . -vv
  string: py310h06a4308_1
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.4.26 h06a4308_0
    - certifi 2021.5.30 py310h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_0
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_0
    - libgomp 11.2.0 h1234567_0
    - libstdcxx-ng 11.2.0 h1234567_0
    - libuuid 1.0.3 h7f8727e_2
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1o h7f8727e_0
    - pip 21.2.4 py310h06a4308_0
    - python 3.10.4 h12debd9_0
    - readline 8.1.2 h7f8727e_1
    - setuptools 61.2.0 py310h06a4308_0
    - sqlite 3.38.3 hc218d9a_0
    - tk 8.6.11 h1ccaba5_1
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
  run:
    - jinja2 >=2.9
    - numpy >=1.11.3
    - packaging >=16.8
    - pillow >=7.1.0
    - python >=3.10,<3.11.0a0
    - pyyaml >=3.10
    - tornado >=5.1
    - typing_extensions >=3.10.0
test:
  commands:
    - pip check || true
    - bokeh --help
  imports:
    - bokeh
    - bokeh.application
    - bokeh.application.handlers
    - bokeh.client
    - bokeh.command
    - bokeh.command.subcommands
    - bokeh.core
    - bokeh.core.property
    - bokeh.core.validation
    - bokeh.models
    - bokeh.models.widgets
    - bokeh.plotting
    - bokeh.protocol
    - bokeh.protocol.messages
    - bokeh.sampledata
    - bokeh.server
    - bokeh.server.views
    - bokeh.sphinxext
    - bokeh.themes
    - bokeh.util
  requires:
    - pip
about:
  description: 'Bokeh is an interactive visualization library for modern web browsers.

    It provides elegant, concise construction of versatile graphics,

    and affords high-performance interactivity over large or streaming

    datasets. Bokeh can help anyone who would like to quickly and easily

    make interactive plots, dashboards, and data applications.

    '
  dev_url: https://github.com/bokeh/bokeh
  doc_source_url: https://github.com/bokeh/bokeh/tree/main/sphinx/source/docs
  doc_url: https://docs.bokeh.org/en/latest/docs/user_guide.html
  home: https://bokeh.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Bokeh is an interactive visualization library for modern web browsers.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: db6fd7c5-d000-45f7-89af-cea4ca6f98be
  recipe-maintainers:
    - almarklein
    - jakirkham
    - mattpap
    - ocefpaf
    - philippjfr
  remote_url: git@github.com:AnacondaRecipes/bokeh-feedstock.git
  sha: afee7ac96eb93d5f378516cb96cf7c7048ea074b
